# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "bookyard"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Build and locally edit a bookshelf for multiple mdBook projects."
readme = "README.md"
keywords = [
    "mdbook",
    "docs",
    "bookshelf",
    "cli",
]
categories = [
    "command-line-utilities",
    "development-tools",
]
license = "MIT OR Apache-2.0"

[[bin]]
name = "bookyard"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.100"

[dependencies.axum]
version = "0.8.7"

[dependencies.bookyard-core]
version = "0.1.0"

[dependencies.clap]
version = "4.5.51"
features = ["derive"]

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.145"

[dependencies.tokio]
version = "1.48.0"
features = [
    "macros",
    "net",
    "rt-multi-thread",
]

[dependencies.tower-http]
version = "0.6.6"
features = ["fs"]

[dev-dependencies.assert_cmd]
version = "2.1.1"

[dev-dependencies.predicates]
version = "3.1.3"

[dev-dependencies.tempfile]
version = "3.23.0"
